Bug 818586 - polyglot-web is not compatible with EAP 6 ER6
polyglot-web is not compatible with EAP 6 ER6
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity unspecified
: ---
: 2.0.0.ER6
Assigned To: Bob McWhirter
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 09:04 EDT by Oliver Kišš
Modified: 2015-08-02 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Kišš 2012-05-03 09:04:55 EDT
Description of problem:

Signature of constructor for org.jboss.as.web.WebVirtualHostService was changed in ER6.

Polyglot uses the old constructor in org.projectodd.polyglot.web.processors.VirtualHostInstaller which causes NoSuchMethodError when running Torquebox 2.0.2 with EAP 6 ER6.


Version-Release number of selected component (if applicable):
Torquebox 2.0.2
polyglot-web 1.5.3
Comment 1 Bob McWhirter 2012-05-14 11:12:04 EDT
The build currently builds.  I think this is solved in TorqueBox 2.0.3+?
Comment 2 Bob McWhirter 2012-05-21 09:55:11 EDT
jboss-polyglot has been forked to 1.5.3-redhat branch, with fixes for JBoss AS 7.1.2-redhat.

https://github.com/projectodd/jboss-polyglot/tree/1.5.3-redhat

The 2.0.x-dev branch of TorqueBox relies upon it, along with the ER8 (?) parent poms for EAP/WFK.
Comment 3 mark yarborough 2012-05-21 10:22:56 EDT
Phone discussion with Bob indicates this is a blocker for WFK 2.0 GA, so bumping to "urgent" priority.
Comment 4 Marek Novotny 2012-05-29 11:46:25 EDT
polyglot 1.5.3-redhat-1 is built and used in TB build in ER6

Note You need to log in before you can comment on or make changes to this bug.